# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Section.pm) perl(Dist/Zilla/App/Tester.pm) perl(Dist/Zilla/File/InMemory.pm) perl(Dist/Zilla/Role/FileGatherer.pm) perl(Dist/Zilla/Role/TextTemplate.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Moose/Util/TypeConstraints.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Sub/Exporter/ForMethods.pm) perl(Test/DZil.pm) perl(Test/File/ShareDir.pm) perl(Test/More.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.002
%define module_name Dist-Zilla-Plugin-TemplateXS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: A simple xs-file-from-template plugin
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LE/LEONT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a ModuleMaker used for creating new XS files when minting a new dist with `dzil new'. It uses the Text::Template manpage (via the Dist::Zilla::Role::TextTemplate manpage) to render a template into a XS file. The template is given three variables for use in rendering: `$name', the module name; `$dist', the Dist::Zilla object, and `$style', the `style' attribute that determines the location of the new file.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*

%changelog
* Wed Dec 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

